<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

class JElementGallery extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'Gallery';

	function fetchElement($name, $value, &$node, $control_name)
	{
		include(JPATH_SITE .'/components/com_zoom/etc/zoom_config.php');
		$this->_CONFIG =& $zoomConfig;

		global $mainframe;

		$db		=& JFactory::getDBO();
		$doc 		=& JFactory::getDocument();
		$template 	= $mainframe->getTemplate();
		$fieldName	= $control_name.'['.$name.']';

		$js = 'function selectGallery(id) {
			   for (i=0;i<document.adminForm.elements[\'link\'].length;i++) {
					document.adminForm.elements[\'link\'][i].value = document.adminForm.elements[\'link\'][i].value.replace(/&catid=[0-9]+/,\'\');
					if (id) {
						document.adminForm.elements[\'link\'][i].value = document.adminForm.elements[\'link\'][i].value + \'&catid=\'+id;
					}
			    }
			    if (id) {
				$("cntHiddenCatid").setHTML(\'<input type="hidden" name="'.$fieldName.'" id="'.$name.'_hidden" value="\'+id+\'" />\');
			    }else{
				$("cntHiddenCatid").setHTML(\'\');
			    }
			}';
		$doc->addScriptDeclaration($js);

		$html = $this->createCatDropdown($name.'_sel','<option value="">'.JText::_('Select a Gallery').'</option>',$value,NULL);
		$html .= '<div id="cntHiddenCatid">'.($value?'<input type="hidden" name="'.$fieldName.'" id="'.$name.'_hidden" value="'.$value.'" />':'').'</div>';

		return $html;
	}

	function createCatDropdown($sel_name = "catid", $first_opt='', $sel=0, $exclude=0) {
		$html = "<select name=\"$sel_name\" id=\"$sel_name\" class=\"inputbox\" onchange=\"selectGallery(this.options[this.selectedIndex].value);\">";
		if ($first_opt) {
			$html .= $first_opt;
		}
		// NOW, I'm going to offer the users infinite level of navigation and gallery-creation;
		// check the function 'getCatList()' for more info...code inspired by Coppermine.
		$this->_CAT_LIST = null;
		$this->_getCatList(0, "&gt;&nbsp;", "&gt;&nbsp;");
		if (isset($this->_CAT_LIST)) {
			foreach ($this->_CAT_LIST as $category) {
				if ($category['id'] != $exclude || $exclude == 0) {
					$html.= "<option value=\"".$category['id']."\"".($sel == $category['id'] ? " selected": "").">".$category['catname']."</option>\n";
				}
			}
		}
		return $html."</select>";
	}


	function _getCatList($parent, $ident='', $ident2='') {
		$database = & JFactory::getDBO();
		// The author of Coppermine Gallery inspired me for this piece of code.
		// Main trick is the use of recursion. For every sub-category (or each level,
		// or each value of pos) the entire method is called again. And so on...and so on...
		$orderMethod = ($this->getCatOrderMethod()? $this->getCatOrderMethod() : 'catname');
		$database->setQuery("SELECT catid, catname, pos, published, shared, uid FROM #__zoom WHERE subcat_id=$parent ORDER BY pos, $orderMethod");
		$this->_result = $database->query();
		$rowset = Array();
		while ($row = mysql_fetch_array($this->_result)) {
			$rowset[] = $row;
		}
		foreach ($rowset as $subcat) {
			$this->_CAT_LIST[] = array(
					'id' => $subcat['catid'],
					'catname' => $ident.$subcat['catname'],
					'pos' => $subcat['pos'],
					'published' => $subcat['published'],
					'shared' => $subcat['shared'],
					'uid' => $subcat['uid'],
					'virtpath' => $ident2.$subcat['catname']);
			$this->_getCatList($subcat['catid'], $ident.'&gt;&nbsp;', $ident2.$subcat['catname'].'&gt;&nbsp;');
		}
	}

	function getCatOrderMethod() {
		// manual gallery ordering will be added later on...
		switch ($this->_CONFIG['catOrderMethod']) {
			case 1:
				return "custom_order, catid ASC";
				break;
			case 2:
				return "custom_order, catid DESC";
				break;
			case 3:
				return "custom_order, catname ASC";
				break;
			case 4:
				return "custom_order, catname DESC";
				break;
		}
	}
}
