<?php
//zOOm Media Gallery//
/** 
-----------------------------------------------------------------------
|  zOOm Media Gallery! by Mike de Boer - a multi-gallery component    |
-----------------------------------------------------------------------

-----------------------------------------------------------------------
|                                                                     |
| Author: Mike de Boer, <http://www.mikedeboer.nl>                    |
| Copyright: copyright (C) 2007 by Mike de Boer                       |
| Description: zOOm Media Gallery, a multi-gallery component for      |
|              Joomla!. It's the most feature-rich gallery component  |
|              for Joomla!! For documentation and a detailed list     |
|              of features, check the zOOm homepage:                  |
|              http://www.zoomfactory.org                             |
| License: GPL                                                        |
| Filename: admin.zoom.php                                            |
|                                                                     |
-----------------------------------------------------------------------
**/
// MOS Intruder	Alerts
defined( '_JEXEC' )	or die(	'Direct	Access to this location	is not allowed.' );

// Turn off Magic quotes runtime, because it interferes with saving info to the 
// database and vice versa.
// set_magic_quotes_runtime(0); 

global $zoomConfig, $zoom;

$live_site = substr_replace(JURI::root(), "", -1, 1);

// Create zOOm Image Gallery object
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'zoom.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'toolbox.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'ftplib.class.php');
//require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'pdf.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'editmon.class.php'); //like a common session-monitor...
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'gallery.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'image.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'comment.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'ecard.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'lightbox.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'privileges.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'mime'.DS.'mime.class.php');
require_once(JPATH_COMPONENT_SITE.DS.'helpers'.DS.'route.php');
// Load configuration file...
include_once(JPATH_COMPONENT_SITE.DS.'etc'.DS.'zoom_config.php');


$zoom = new zoom();
$zoom->_isBackend = true;

require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'JoomlaPlatform.class.php');
$zoom->platform = new JoomlaPlatform();

// now create an instance of the ToolBox!
$zoom->toolbox = new toolbox();
// list of common inclusions:


# $lang =& JFactory::getLanguage();
# $mosConfig_lang = $lang->getBackwardLang();

// load language for messaging
$lang =& JFactory::getLanguage();
$lang->load('com_zoom',JPATH_SITE);

$page = JRequest::getCmd('page',null,"REQUEST");
$action  = JRequest::getCmd('action');

if ($page == 'ajaxcallback') {
	include(JPATH_COMPONENT_SITE.DS.'www'.DS.'ajaxcallback.php');
	die();
}

// Update the Edit Monitor, eg. delete unnecessary rows
$zoom->EditMon->updateEditMon();
// load gallery object if a catid is specified...
$catid = intval(JRequest::getVar('catid',null,"REQUEST"));
if (isset($_POST['catid'])) {
	if (isset($catid) && !is_array($catid) && !is_array($_POST['catid']) && !empty($catid) && !($catid == 0)) {
	//Above code should fix deleting issue. -Steven Pignataro
	//if (isset($catid) && !is_array($catid) && !empty($catid) && !($catid == 0)){
		$zoom->setGallery($catid);
	}
} else if (isset($catid) && !is_array($catid) && !empty($catid) && !($catid == 0)) {
	//Above code should fix deleting issue. -Steven Pignataro
	//if (isset($catid) && !is_array($catid) && !empty($catid) && !($catid == 0)){
		$zoom->setGallery($catid);
}

// Require the com_content helper library
require_once(JPATH_COMPONENT.DS.'controller.php');

// Create the controller
$controller = new ZoomController();

// Standard (D)HTML...
// echo ("<div id=\"overDiv\" style=\"position:absolute; visibility:hidden; z-index:1000;\"></div>\n");

// Perform the Request task
if ($action) {
	$controller->execute($action);
} else {
	$controller->execute($page);
}
$controller->redirect();
