<?php
//zOOm Media Gallery//
/**
-----------------------------------------------------------------------
|  zOOm Media Gallery! by Mike de Boer - a multi-gallery component    |
-----------------------------------------------------------------------

-----------------------------------------------------------------------
|                                                                     |
| Author: Mike de Boer, <http://www.mikedeboer.nl>                    |
| Copyright: copyright (C) 2007 by Mike de Boer                       |
| Description: zOOm Media Gallery, a multi-gallery component for      |
|              Joomla!. It's the most feature-rich gallery component  |
|              for Joomla!! For documentation and a detailed list     |
|              of features, check the zOOm homepage:                  |
|              http://www.zoomfactory.org                             |
| License: GPL                                                        |
| Filename: toolbar.html.php                                          |
|                                                                     |
-----------------------------------------------------------------------
* @version $Id:toolbar.zoom.php 124 2007-02-17 03:35:03Z spignataro $
* @package zOOmGallery
* @author Mike de Boer <mailme@mikedeboer.nl> 
**/

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

global $zoom, $mainframe;

$page	= JRequest::getCmd('page',null,"REQUEST");
$option	= JRequest::getCmd('option',null,"REQUEST");


global $ZMG_toolbar_classes;
$ZMG_toolbar_classes = array();

ZMG_toolbar::startTable();
switch ($page) {
	case 'catsmgr' :
		ZMG_toolbar::spacer();
		break;
	case 'commentsmgr' :
		JToolBarHelper::deleteList(JText::_('MSG_CONFIRM_DELETE_COMMENTS'));
		JToolBarHelper::cancel('cancel','Close');

		break;
	case 'mediamgr' :
		$task = JRequest::getVar('task',null,"REQUEST");
		$catid = JRequest::getVar('catid',null,"REQUEST");
		if (empty($task) && !empty($catid)) {
			if ($zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_upload')) {
				ZMG_toolbar::custom('upload', 'new_f2.png', 'new_f2.png', JText::_('UPLOAD'), false);
				ZMG_toolbar::spacer();
				ZMG_toolbar::divider();
				ZMG_toolbar::spacer();
			}
			// if($zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_editmedium')) {
				// ZMG_toolbar::custom('edtimg', 'edit_f2.png', 'edit_f2.png', JText::_('BUTTON_EDIT'), false);
				// ZMG_toolbar::spacer();
			// }
			if ($zoom->_isAdmin) {
				ZMG_toolbar::custom('move', '../../components/com_zoom/www/images/admin/move_f2.png', '../../components/com_zoom/www/images/admin/move_f2.png', JText::_('MOVEFILES'), false);
				ZMG_toolbar::spacer();
			}
			if ($zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_delmedium')) {
				ZMG_toolbar::custom('delete', 'delete_f2.png', 'delete_f2.png', JText::_('DELETE'), false);
			}      	
        	} else if ($task == "edtimg") {
			ZMG_toolbar::save('save', JText::_('SAVE'));
			ZMG_toolbar::spacer();
        	} else if ($task == 'move') {
			$catid=JRequest::getVar('catid',0,"REQUEST");
			$url = "index.php?option=com_zoom&page=mediamgr".($catid? '&catid='.$catid : '');
			ZMG_toolbar::back(JText::_('BACK'), $url);
		}

		if ($task != 'move') {
			$catid=JRequest::getVar('catid',0,"REQUEST");
			$url='index.php?option=com_zoom&page=admin';
      			ZMG_toolbar::spacer();
     			ZMG_toolbar::back(JText::_('BACK'),$url);
		}
		break;
	case 'upload' :
		$url = "index.php?option=com_zoom&page=mediamgr";
		if (!empty($zoom->_gallery)) {
			$url .= "&catid=".$zoom->_gallery->_id;
		}
		ZMG_toolbar::back(JText::_('BACK'), $url);
		break;
	case 'settings' :
		ZMG_toolbar::save('save', JText::_('SAVE'));
		ZMG_toolbar::spacer();
		ZMG_toolbar::cancel('cancel', JText::_('WINDOW_CLOSE'));
		break;
	case 'credits' :
	case 'zoomthumb' :
		ZMG_toolbar::back(JText::_('BACK'),"index2.php?option=com_zoom&page=admin");
		break;
	default :
		ZMG_toolbar::spacer();
		break;
}
ZMG_toolbar::endTable();


class ZMG_toolbar {


function _addIcon($classname,$icon) {
	global $ZMG_toolbar_classes;
	$icon = preg_replace('/(.*\/)?([^\/]+$)/','$2',$icon);
	if (empty($ZMG_toolbar_classes[$classname])) {
		$ZMG_toolbar_classes[$classname]=".icon-32-$classname {background:url(".JURI::root()."components/com_zoom/www/images/admin/$icon) no-repeat;}";
	}
	
}

function custom ($task, $icon, $iconv, $alt, $bool) {
	$bar = & JToolBar::getInstance('toolbar');
	$classname = preg_replace('/(.*\/)?([^\/]+)\.[a-z]+/i','$2',$icon);
	$bar->appendButton( 'Standard', $classname, $alt, $task, false, false );
	ZMG_toolbar::_addIcon($classname,$icon);
}

function spacer($width='') {
	JToolBarHelper::spacer($width);	
}

function cancel($task='cancel', $alt=NULL, $icon='') {
	if ($alt === NULL) {
		$alt=JText::_('SAVE');
	}
	JToolBarHelper::cancel($task, $alt, $icon);
}


function save($task='save', $alt=NULL, $icon='') {
	if ($alt === NULL) {
			$alt=JText::_('SAVE');
	}
        JToolBarHelper::save($task, $alt, $icon);
}

function divider() {
	JToolBarHelper::divider();
}

function startTable() {

}

function endTable() {
	global $ZMG_toolbar_classes, $mainframe;
	$css =   '<style type="text/css">'
		.'<!--'
		."\n".implode("\n", $ZMG_toolbar_classes)."\n"
		.'-->'
		.'</style>';
	$mainframe->addCustomHeadTag($css);
}

function back($text,$url='') {
       	JToolBarHelper::back($text,$url);

}

}
?>
