<?php
//zOOm Media Gallery//
/** 
-----------------------------------------------------------------------
|  zOOm Media Gallery! by Mike de Boer - a multi-gallery component	|
-----------------------------------------------------------------------

-----------------------------------------------------------------------
|                                                                     |
| Author: Mike de Boer, <http://www.mikedeboer.nl>                    |
| Copyright: copyright (C) 2007 by Mike de Boer                       |
| Description: zOOm Media Gallery, a multi-gallery component for      |
|		  Joomla!. It's the most feature-rich gallery component	      |
|		  for Joomla!! For documentation and a detailed list	 |
|		  of features, check the zOOm homepage:		  |
|		  http://www.zoomfactory.org				 |
| License: GPL							|
| Filename: template.gallery.php					  |
|									 |
-----------------------------------------------------------------------
* @version $Id:template.gallery.php 106 2007-02-10 22:30:30Z kevinuru $
* @package zOOmGallery
* @subpackage Template
* @author Mike de Boer <mailme@mikedeboer.nl> 
**/
// MOS Intruder Alerts
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class ZMG_Template_Gallery {
	function showHeader($use_tables = true, $Itemid, $title = "zOOm Media Gallery", $show_logo, $show_search, $show_keywords, &$keywords) {
	global  $mainframe;
	$live_site = substr_replace(JURI::root(), "", -1, 1);

	if ($use_tables) {
		?>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td align="left" class="componentheader" width="30%"><h3><?php echo $title; ?></h3></td>
			<?php
			if ($show_search && $show_keywords) {
			?>
			<td align="right" valign="bottom" class="componentheader">
				<div align="right">
					<form action="<?php echo JRoute::_("index.php?option=com_zoom&Itemid=".$Itemid."&page=search&type=quicksearch"); ?>" method="post" name="browse">
					<?php
					ZMG_Template_Main::createKeywordsDropdown($keywords, 'sstring', '<option value="">&gt;&gt;'.JText::_('SEARCH_KEYWORD').'&lt;&lt;</option>', 1);
					?>
					</form>
				</div>
			</td>
			<?php
			}
			?>
			<td align="right" valign="bottom" class="componenentheader" width="200">
				<div align="right">
				<?php if ($show_logo) { ?>
					<a href="http://joomla.vargas.co.cr" target="_blank"><img src="<?php echo $live_site;?>/components/com_zoom/www/images/zoom_logo_small.gif" border="0" alt="" /></a>
				<?php
				}
				if ($show_search) {
				?>
				<form name="searchzoom" action="<?php echo JRoute::_('index.php?option=com_zoom&Itemid='. $Itemid) ?>" target="_top" method="post">
				<input type="hidden" name="option" value="com_zoom" />
				<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
				<input type="hidden" name="page" value="search" />
				<input type="hidden" name="type" value="quicksearch" />
				<input type="hidden" name="sorting" value="3" />
				<input type="text" name="sstring" onblur="if(this.value=='') this.value='<?php echo JText::_('SEARCH_BOX');?>';" onfocus="if(this.value=='<?php echo JText::_('SEARCH_BOX');?>') this.value='';" value="<?php echo JText::_('SEARCH_BOX');?>" class="inputbox" />
				<a href="javascript:document.forms.searchzoom.submit();">&nbsp;<img src="<?php echo $live_site;?>/components/com_zoom/www/images/find.png" border="0" alt="" width="16" height="16" /></a>
				</form>
				</div>
				<?php
				}
				?>
			</td>
		</tr>
		</table>
		<?php
	} else {
		?>
		<h2 class="componentheading"><?php echo $title; ?></h2>
		<?php
		if ($show_logo) {
		?>
		<div class="zoom-logo">
		<a href="http://joomla.vargas.co.cr/" target="_blank"><img src="<?php echo $live_site;?>/components/com_zoom/www/images/zoom_logo_small.gif" border="0" alt="" /></a>
		</div>
		<?php
		}
		if ($show_search && $show_keywords) {
		?>
		<div class="zoom-keywords">
			<form action="index.php?option=com_zoom&amp;Itemid=<?php echo $Itemid; ?>&amp;page=search&amp;type=quicksearch" method="post" name="browse">				
			<?php
			ZMG_Template_Main::createKeywordsDropdown($keywords, 'sstring', '<option value="" style="background-color:white;">&gt;&gt;'.JText::_('SEARCH_KEYWORD').'&lt;&lt;</option>', 1);
			?>
			</form>	
		</div>
		<?php
		}
		if ($show_search) {
		?>
		<div class="zoom-search">	
			<form name="searchzoom" action="<?php echo JRoute::_('index.php?option=com_zoom&Itemid='. $Itemid); ?>" target="_top" method="post">
			<input type="hidden" name="option" value="com_zoom" />
			<input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>" />
			<input type="hidden" name="page" value="search" />
			<input type="hidden" name="type" value="quicksearch" />
			<input type="hidden" name="sorting" value="3" />
			<span class="search-zg"><label for="search-this-gallery"><?php echo JText::_('SEARCH_BOX'); ?></label></span><br />
			<input type="text" name="sstring" id="search-this-gallery" style="background-color:white;" alt="Search this gallery" value="" class="inputbox" />
			<input type="submit" value="Go" class="button" />
			</form>
		</div>
		<?php
		}
		?>
		<div class="clr"></div>
		<?php
	}
	}

	function showGalleries(&$galleries, $use_tables = true, $Itemid, $no_columns, $gallery_prefix, $show_catimg, $show_metabox) {
	global $zoom;
		if ($use_tables) {
		?>
		<br />
		<table border="0" width="100%" cellspacing="0" cellpadding="5">
		<tr>
		<?php
	} else {
		?>
		<div class="zmg-album">
		<?php
	}
	foreach ($galleries as $gallery) {
		if ($gallery->isMember() && $gallery->_published) {
				ZMG_Template_Gallery::showGalleryListButton($use_tables, $Itemid, $gallery, $no_columns, $gallery_prefix, $show_catimg, $show_metabox);
		}
	}
	if ($use_tables) {
		?>
		</tr>
		</table>
		<?php
	} else {
		echo "</div>";  
	}
	}
	
	function showSubGalleries(&$subgalleries, $use_tables = true, $Itemid, $no_columns, $gallery_prefix, $show_catimg, $show_metabox) {
		global $zoom;
		$i=0;
		foreach ($subgalleries as $subgallery) {
			if ($subgallery->isMember()) {
			   $i++;
			}
		}
		if  ( $i > 0 ) {
				if ($use_tables) {
				?>
				<table border="0" cellspacing="0" cellpadding="3" width="80%">
				<tr>
						<td colspan="<?php echo $no_columns ?>">
							<hr />
						</td>
					</tr>
					<tr>
				<?php
			} else {
			?>
				<hr />
			<div class="zmg-sub-album">
				<?php
			}
			foreach ($subgalleries as $subgallery) {
			if ( $subgallery->isMember() && $subgallery->_published ) {
			
						ZMG_Template_Gallery::showSubGalleryListButton($use_tables, $Itemid, $subgallery, $no_columns, $gallery_prefix, $show_catimg, $show_metabox);
			
					}
			}
			if ($use_tables) {
			?>
					</tr>
					<tr>
						<td colspan="<?php echo $no_columns ?>">
							<hr />
						</td>
					</tr>
		</table>
				<?php
			} else {
				?>
				</div>
				<div class="clr"></div>
				<hr />
				<?php
			}   
		}
	}
	
	function showGalleryListButton($use_tables = true, $Itemid, &$gallery, $no_columns, $gallery_prefix, $show_catimg, $show_metabox) {
	global $zoom;
	if ($show_catimg) {
		$gallery->setCatImg();
	}
	//select the first image from the gallery handled by the loop...
	if ($show_metabox) {
		// display category info, including image...
		$img_num = $gallery->getNumOfImages();
		$subcat_num = $gallery->getNumOfSubCats();
		$subcat_html = ($subcat_num <= 0) ? "" : ", ".$subcat_num." ".JText::_('SUBGALLERIES');
	}
	
	$catlink = JRoute::_(ZoomHelperRoute::getGalleryRoute($gallery->_slug));
	if ($use_tables) {
		if ($zoom->_counter >= $no_columns) {
		echo "</tr><tr>";
		$zoom->_counter = 0;
		}
		if ($show_catimg) {
		?>
		<td align="left" valign="top" width="<?php echo number_format((100/$no_columns), 0, '.', ''); ?>%"><a href="<?php echo $catlink; ?>" title="<?php echo $gallery->_name . '::'.$img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? ' class="hasTip"' : ''; ?>>
		<img border="0" hspace="0" src="<?php echo (empty($gallery->_cat_img->_thumbnail)) ? 'components/com_zoom/www/images/noimg.gif' : $gallery->_cat_img->_thumbnail;?>" align="right" alt="" /></a>
		<?php
		} else {
		?>
		<td align="left" valign="top" width="50%">
		<?php
		}
		echo "<a href=\"$catlink\" title=\"".$gallery->_name . '::'.$img_num." ".JText::_('IMAGES').$subcat_html.'" '.(($show_metabox) ? ' class="hasTip"' : '').">{$gallery_prefix}{$gallery->_name}</a><br />".$gallery->_descr;
		if (!$gallery->_published) {
			echo "<br /><font color=\"red\">(unpublished)</font>";
		}
		echo "</td>\n";
		$zoom->_counter++;
	} else {
		if ($zoom->_counter >= $no_columns) {
		echo '<br /><div class="clr"></div><br />';
				$zoom->_counter = 0;
		}
		if ($show_catimg) {
		?>
		<div class="zmg-album-inner" style="width:<?php echo number_format(((100/$no_columns)-1), 0, '.', ''); ?>%">
		<div class="zmg-album-image" style="text-align:center;">
		<a href="<?php echo $catlink; ?>" title="<?php echo $gallery->_name . "::" . $img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? "class=\"hasTip\"" : "";?>>
		<img src="<?php echo (empty($gallery->_cat_img->_thumbnail)) ? 'components/com_zoom/www/images/noimg.gif' : $gallery->_cat_img->_thumbnail;?>" class="zmg-image-of-album" alt="" /></a><br />
		<?php
		} else {
		?>
		<div class="zmg-album-inner" style="width:<?php echo number_format(((100/$no_columns)-1), 0, '.', ''); ?>%">
		<div class="zmg-album-image" style="text-align:center;">
				<a href="<?php echo $catlink; ?>" title="<?php echo $gallery->_name . "::" . $img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? "class=\"hasTip\"" : "";?>>
		<?php
		}
		echo "<a href=\"$catlink\" title=\"".$gallery->_name . '::'.$img_num." ".JText::_('IMAGES').$subcat_html. '" '.(($show_metabox) ? ' class="hasTip"' : '').">{$gallery_prefix}{$gallery->_name}</a><br />".$gallery->_descr . "</div>";
		if (!$gallery->_published) {
		echo "<br /><span class=\"zmg-unpublished\">(unpublished)</span>";
		}
		echo "</div>\n";
		$zoom->_counter++;
	}
	}
	
	
	
	function showSubGalleryListButton($use_tables = true, $Itemid, &$subgallery, $no_columns, $gallery_prefix, $show_catimg, $show_metabox) {
		global $zoom, $backend;
		static $live_site;
		if (!$live_site) {
			$live_site = JURI::root();
		}

		if ($show_catimg) {
			$subgallery->setCatImg();
		}
		//select the first image from the gallery handled by the loop...
		if ($show_metabox) {
			// display category info, including image...
			$img_num = $subgallery->getNumOfImages();
			$subcat_num = $subgallery->getNumOfSubCats();
			$subcat_html = ($subcat_num <= 0) ? "" : ", ".$subcat_num." ".JText::_('SUBGALLERIES');
		}

		$catlink = JRoute::_(ZoomHelperRoute::getGalleryRoute($subgallery->_slug));
		if ($use_tables) {
			if ($zoom->_counter >= $no_columns) {
			echo "</tr><tr>";
			$zoom->_counter = 0;
			}
			?>
			<td width="<?php echo number_format((100/$no_columns), 0, '.', ''); ?>%" valign="top" align="left">
			<?php
			if ($show_catimg):?>
				<a href="<?php echo $catlink; ?>" title="<?php echo $subgallery->_name . "::" . $img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? "class=\"hasTip\"" : "";?>>
			<img border="0" hspace="0" src="<?php echo (empty($subgallery->_cat_img->_thumbnail)) ? $live_site.'components/com_zoom/www/images/folder.png' : $subgallery->_cat_img->_thumbnail;?>" align="left" alt="" /></a>
			<?php else: ?>
				<a href="<?php echo $catlink; ?>" title="<?php echo $subgallery->_name . "::" . $img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? "class=\"hasTip\"" : "";?>>
			<?php endif; 
			echo "<a href=\"$catlink\">".$gallery_prefix.$subgallery->_name."</a><br />".$subgallery->_descr;
			if (!$subgallery->_published) {
				echo "<br /><span class=\"zmg-unpublished\">(unpublished)</span>";
			}
			echo "</td>\n";
		} else {
			if ($zoom->_counter >= $no_columns) {
			echo '<div class="clr"></div>';
					$zoom->_counter = 0;
			}
			if ($show_catimg) {
			?>
			<div class="zmg-sub-album-inner" style="width:<?php echo number_format(((100/$no_columns)-1), 0, '.', ''); ?>%">
			<div class="zmg-sub-album-image" style="text-align:center;">
				<a href="<?php echo $catlink; ?>" title="<?php echo $subgallery->_name . "::" . $img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? "class=\"hasTip\"" : "";?>>
				  <img src="<?php echo (empty($subgallery->_cat_img->_thumbnail)) ? $live_site. 'components/com_zoom/www/images/folder.png' : $subgallery->_cat_img->_thumbnail;?>" class="zmg-image-of-sub-album" alt="" /></a><br />
	<?php
			} else {
			?>
					<div class="zmg-sub-album-inner" style="width:<?php echo number_format(((100/$no_columns)-1), 0, '.', ''); ?>%">
					<div class="zmg-sub-album-image" style="text-align:center">
					<a href="<?php echo $catlink; ?>" title="<?php echo $subgallery->_name . "::" . $img_num." ".JText::_('IMAGES').$subcat_html; ?>" <?php echo ($show_metabox) ? "class=\"hasTip\"" : "";?>>
			<?php
			}
				echo "<a href=\"$catlink\">".$gallery_prefix.$subgallery->_name."</a><br />".$subgallery->_descr . "</div>";
			if (!$subgallery->_published) {
				echo "<br /><span class=\"zmg-unpublished\">(unpublished)</span>";
			}
			echo "</div>\n";
		}
		$zoom->_counter++;
	}
	
	
	function showPasswordForm($Itemid, $catid, &$tabclass) {
	?>
	<div align="center">
	<form name="form1" method="post" action="<?php echo JRoute::_(ZoomHelperRoute::getGalleryRoute($catid)); ?>">
	<table cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td class="sectiontableheader" colspan="2">
			<?php echo JText::_('PASS_REQUIRED');?>
		</td>
	</tr>
	<tr height="50">
		<td class="<?php echo $tabclass[0];?>">
			<?php echo JText::_('PASS');?>:
		</td>
		<td class="<?php echo $tabclass[0];?>">
			<input name="catpass" type="password" size="10" />
		</td>
	</tr>
	<tr>
		<td class="<?php echo $tabclass[1];?>" colspan="2" align="center">
			<div align="center">
			<input type="submit" name="submit" value="<?php echo JText::_('PASS_BUTTON'); ?>" class="button">
			<script language="javascript" type="text/javascript">
				<!--
				 form1.catpass.focus();
				 form1.catpass.select();
				 //-->
			</script>
			</div>
		</td>
	</tr>
	</table>
	<input type="hidden" name="option" value="com_zoom" />
	<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
	<input type="hidden" name="catid" value="<?php echo (int)$catid; ?>" />
	</form>
	</div>
	<?php
	}

	function showMediumListButton($use_tables = true, $Itemid, $PageNo, $key, $columnwidth, &$size, &$inforow, &$image) {
		//return $inforow;
	}

	function showFooter($use_tables = true, $Itemid, &$zoom) {
		global $zoom, $backend;
		if ($use_tables) {
?>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
		<?php
		if ($zoom->_isAdmin) {
			echo '<td align="left" class="'.$zoom->_tabclass[1].'"><a href="'.JRoute::_('index.php?option=com_zoom&Itemid=' .$Itemid. '&page=admin').'"><img src="images/M_images/arrow.png" border="0" alt="" /> '.JText::_('ADMINSYSTEM').'</a></td>';
		} elseif ($zoom->privileges->hasPrivileges()) {
			echo '<td align="left" class="'.$zoom->_tabclass[1].'"><a href="'.JRoute::_('index.php?option=com_zoom&Itemid=' .$Itemid. '&page=admin').'"><img src="images/M_images/arrow.png" border="0" alt="" /> '.JText::_('USERSYSTEM').'</a></td>';
		}
		?>
		<td align="right" colspan="3" class="<?php echo $zoom->_tabclass[1];?>">
		<div align="right">
		<?php
	} else {
		?>
		<div class="clr"></div>
		<div class="zmg-bar">
		<div class="zmg-bar-left">
		<?php
			if ($zoom->_isAdmin) {
		echo '<span class="zmg-admin-system"><a href="'.JRoute::_('index.php?option=com_zoom&Itemid=' .$Itemid. '&page=admin').'"><img src="images/M_images/arrow.png" border="0" alt="" /> '.JText::_('ADMINSYSTEM').'</a></span>';
		} elseif ($zoom->privileges->hasPrivileges()) {
		echo '<span class="zmg-admin-system"><a href="'.JRoute::_('index.php?option=com_zoom&Itemid=' .$Itemid. '&page=admin').'"><img src="images/M_images/arrow.png" border="0" alt="" /> '.JText::_('USERSYSTEM').'</a></span>';
		}
		?>
		</div>
		<div class="zmg-bar-right">
		<?php
	}
	if ($zoom->_CONFIG['toptenOn']) {
		# echo "<a href=\"".JRoute::_("index.php?option=com_zoom&Itemid=".$Itemid."&page=special&sorting=0")."\">".JText::_('TOPTEN')."</a>&nbsp;|&nbsp;\n";
		echo "<a href=\"".JRoute::_(ZoomHelperRoute::getSpecialRoute(0))."\">".JText::_('TOPTEN')."</a>&nbsp;|&nbsp;\n";
	}
	if ($zoom->_CONFIG['lastsubmOn']) {
		echo "<a href=\"".JRoute::_(ZoomHelperRoute::getSpecialRoute(1))."\">".JText::_('LASTSUBM')."</a>&nbsp;|&nbsp;\n";
	}
	if ($zoom->_CONFIG['commentsOn']) {
		echo "<a href=\"".JRoute::_(ZoomHelperRoute::getSpecialRoute(2))."\">".JText::_('LASTCOMM')."</a>&nbsp;|&nbsp;\n";
	}
	if ($zoom->_CONFIG['ratingOn']) {
		echo "<a href=\"".JRoute::_(ZoomHelperRoute::getSpecialRoute(4))."\">".JText::_('TOPRATED')."</a>\n";
	}
	if ($use_tables) {
		?>
		</div>
		</td>
		</tr>
		</table>
		<?php
	} else {
		?>
		</div>
		</div>
		<div class="clr"></div>
		<?php
	}
	}
}
?>
