<?php
//zOOm Media Gallery//
/** 
-----------------------------------------------------------------------
|  zOOm Media Gallery! by Mike de Boer - a multi-gallery component    |
-----------------------------------------------------------------------

-----------------------------------------------------------------------
|                                                                     |
| Author: Mike de Boer, <http://www.mikedeboer.nl>                    |
| Copyright: copyright (C) 2007 by Mike de Boer                       |
| Description: zOOm Media Gallery, a multi-gallery component for      |
|              Joomla!. It's the most feature-rich gallery component  |
|              for Joomla!! For documentation and a detailed list     |
|              of features, check the zOOm homepage:                  |
|              http://www.zoomfactory.org                             |
| License: GPL                                                        |
| Filename: mediamgr.php                                              |
|                                                                     |
-----------------------------------------------------------------------
* @version $Id:mediamgr.php 106 2007-02-10 22:30:30Z kevinuru $
* @package zOOmGallery
* @author Mike de Boer <mailme@mikedeboer.nl> 
**/
// MOS Intruder Alerts
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );


JLoader::register('JPane',  JPATH_LIBRARIES.DS.'joomla'.DS.'html'.DS.'pane.php');
jimport('joomla.html.pane');

JHTML::_('behavior.modal', 'a.modal');
$live_site = substr_replace(JURI::root(), "", -1, 1);

JHTML::script('zoom.js','components/com_zoom/lib/js/');
$zoom->prepareAjax(null);
$zoom->createProgressScript('upload');
$zoom->hideProgress();

$task 	= JRequest::getCmd('task',null,"REQUEST");
$Itemid	= JRequest::getInt('Itemid',null,"REQUEST");
$catid	= JRequest::getInt('catid',null,"REQUEST");
$option	= JRequest::getCmd('option',null,"REQUEST");
$page	= JRequest::getCmd('page',null,"REQUEST");

$return = "mediamgr";
if ($task == 'edtimg' && $zoom->privileges->hasPrivilege('priv_editmedium')) {
	include_once(JPATH_COMPONENT_SITE .'/www/admin/editimg.php');
} elseif ($task == 'move' && $zoom->privileges->hasPrivilege('priv_editmedium')) {
	include_once(JPATH_COMPONENT_SITE .'/www/admin/movefiles.php');
} elseif ($task == 'delete' && $zoom->privileges->hasPrivilege('priv_delmedium')) {
	$zoom->createProgressScript($task);
	$keys = JRequest::getVar('keys',null,"REQUEST");
	if ($keys) {
		$error = 0;
		foreach ($keys as $key) {
			$zoom->_gallery->_images[$key]->getInfo();
			if (!$zoom->_gallery->_images[$key]->delete()) {
				var_dump($zoom->_gallery->_images[$key]);
				exit;
				$error++;
			}
		}
		if (!$error) {
			global $mainframe;
			$mainframe->redirect("index.php?option=com_zoom&page=mediamgr&Itemid=".$Itemid."&catid=".$catid, JText::_('ALERT_DELPIC'));
		} else {
			global $mainframe;
			$mainframe->redirect("index.php?option=com_zoom&page=mediamgr&Itemid=".$Itemid."&catid=".$catid, JText::_('ALERT_NODELPIC'));
		}
	} else {
		global $mainframe;
		$mainframe->redirect("index.php?option=com_zoom&page=mediamgr&Itemid=".$Itemid."&catid=".$catid, JText::_('ALERT_NOMEDIA'));
	}
} else {
	$zoom->createSubmitScript('catselect');
	if ($task == "mediapp") {
		$mediapp = JRequest::getVar('mediapp', 10,"REQUEST");
		if ($_SESSION['zoom_mediapp'] != $mediapp || empty($_SESSION['zoom_mediapp'])) {
			$_SESSION['zoom_mediapp'] = $mediapp;
		}
	}
	?>
	<br />
	<?php
	if (!$zoom->_isBackend) {
	?>
	<table border="0" cellspacing="0" cellpadding="0" width="100%">
	<tr>
		<td align="center" width="100%"><a href="<?php echo JRoute::_("index.php?option=com_zoom&Itemid=".$Itemid."&page=admin"); ?>">
			<img src="<?php echo $live_site;?>/components/com_zoom/www/images/home.gif" alt="<?php echo JText::_('MAINSCREEN');?>" border="0" />&nbsp;&nbsp;<?php echo JText::_('MAINSCREEN');?></a>
		</td>
	</tr>
	<tr>
		<td align="left"><img src="<?php echo $live_site;?>/components/com_zoom/www/images/icons/mediamanager.png" border="0" alt="<?php echo JText::_('MEDIAMGR');?>" />&nbsp;<b><font size="4"><?php echo JText::_('MEDIAMGR');?></font></b></td>
	</tr>
	</table>
	<?php
	} else {
		JToolBarHelper::title ( JText::_('MEDIAMGR'), 'zmedia' );
		$doc =& JFactory::getDocument();
		$css = '.icon-48-zmedia {background:url('.$live_site.'/components/com_zoom/www/images/icons/mediamanager.png) no-repeat;}';
		$doc->addStyleDeclaration($css);
	}
	?>
	<div align="center">
    <form enctype="multipart/form-data" name="catselect" method="post" action="<?php echo JRoute::_("index.php?option=com_zoom&page=mediamgr&Itemid=$Itemid"); ?>">
	<?php
	// display gallery selection form... 
	if (!empty($zoom->_gallery)) {
		$sel = $zoom->_gallery->_id;
	} else {
	    $sel = 0;
	}
	$doc = &JFactory::getDocument();
	$PageSize = empty($_SESSION['zoom_mediapp']) ? 10 : $_SESSION['zoom_mediapp'];
	if ($catid) {
		$doc->addScriptDeclaration("window.refreshImgList=function(){ Zoom.navToPage('medialist',1,$catid,'mediamgr','$PageSize'); }");
	}
	echo $zoom->createCatDropdown('catid', '<OPTION value="">---&nbsp;'.JText::_('PICK').'&nbsp;---</OPTION>', 1, $sel);
	?>
	</form>
	<?php
	if ($zoom->_CONFIG['showoccspace']) {
		$calc_what = "zOOm";
		if (!empty($zoom->_gallery->_id)) {
			$zoom->dirStatistics(JPATH_SITE."/".$zoom->_CONFIG['imagepath'].$zoom->_gallery->_dir);
			$calc_what = $zoom->_gallery->_name;
		} else {
			$zoom->dirStatistics(JPATH_SITE."/".$zoom->_CONFIG['imagepath']);
		}
		echo "<br /><h3>".sprintf(JText::_('DISKSPACEUSAGE'), $calc_what).": ".$zoom->parseFolderSize($zoom->_folderSize)."</h3><br />";
	}

	echo '<div id="medialist">';
		// display form containing editable media from the specified gallery...
		$PageNo = intval(trim(JRequest::getVar('PageNo', 1,"REQUEST")));

		$zoom->createCheckAllScript();
		?>
		<script language="Javasript" type="text/javascript">
		<!--
		function submitbutton(theTask, mediapp){
		  document.mediamgr.elements['task'].value = theTask;
		  if (theTask == "mediapp") {
		      document.mediamgr.mediapp.value = mediapp;
		  }
		  if (theTask == "upload")
		  	  document.location = "<?php echo ($zoom->_isBackend) ? "index2.php?option=com_zoom&page=upload&return=mediamgr&catid=".$catid."&Itemid=".$Itemid."&PageNo=".$PageNo : JRoute::_("index.php?option=com_zoom&page=upload&return=mediamgr&catid=".$catid."&Itemid=".$Itemid."&PageNo=".$PageNo);?>";
		  else
		  	  document.mediamgr.submit();
		  return false;
		}
		//-->
		</script>
	<?php
	if ( !empty( $catid ) ) {
		echo $zoom->createMediaEditForm($option, $page, $Itemid, $catid, $PageNo);
	}
	echo '</div>';
	?>
	</div>
	<?php
}
?>
