<?php
//zOOm Media Gallery//
/** 
-----------------------------------------------------------------------
|  zOOm Media Gallery! by Mike de Boer - a multi-gallery component	|
-----------------------------------------------------------------------

--------------------------------------------------------------------------------
|										|
| Author: Mike de Boer, <http://www.mikedeboer.nl>				|
| Copyright: copyright (C) 2007 by Mike de Boer					|
| Description: zOOm Media Gallery, a multi-gallery component for		|
|			  Joomla!. It's the most feature-rich gallery component |
|			  for Joomla!! For documentation and a detailed list	|
|			  of features, check the zOOm homepage:			|
|			  http://www.zoomfactory.org				|
| License: GPL									|
| Filename: ajaxcallback.php							|
|										|
-----------------------------------------------------------------------
* @version $Id:ajaxcallback.php 125 2007-02-17 04:51:16Z kevinuru $
* @package zOOmGallery
* @author Mike de Boer <mailme@mikedeboer.nl> 
**/
/*
// Turn off Magic quotes runtime, because it interferes with saving info to the 
// database and vice versa.
# include_once("../lib/inserts.class.php");

// Update the Edit Monitor, eg. delete unnecessary rows
$zoom->EditMon->updateEditMon();

*/
//start processing the AJAX callback:

$database = & JFactory::getDBO();
$user = & JFactory::getUser();

$id = $zoom->getParam($_REQUEST, 'id', 0);
if (md5($zoom->_CONFIG['secret']) == $id) {

	$task = $zoom->getParam($_REQUEST, 'task');
	if ( !in_array($task,array('view_vote','view_lightbox','del_lightbox')) && !$user->get('id') ) {
		die('Invalid Request!!');
	}

	echo $zoom->startXML($task);
	switch ($task) {
		case 'view_vote' :
			$imgid = intval($zoom->getParam($_REQUEST, 'imgid'));
			$vote  = intval($zoom->getParam($_REQUEST, 'vote', 0));
			if ( !empty($imgid) ) {
				 $img = new image($imgid);
				 if ( $img->canRate() ) {
					 if ($img->rateImg($vote)) {
						echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_VOTE_OK')));
					  } else {
						echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_VOTE_ERROR')), true);
					  }
				  } else {
				  	echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_CANNOT_RATE')), true);
				  }
			}
			break;
		case 'view_lightbox':
			$imgid = intval($zoom->getParam($_REQUEST, 'imgid'));
			$type = intval($zoom->getParam($_REQUEST, 'type'));
			$result = true;
			if (!empty($imgid) && $imgid > 0) {
		  		$lightbox = unserialize($_SESSION['lightbox']);
				if (!$lightbox->addItem($imgid, $type)) {
					$result = false;
				}
			} else {
				$result = false;
			}
			if ($result) {
				$_SESSION['lightbox'] = serialize($lightbox);
				echo $zoom->callbackResult(html_entity_decode(JText::_('LIGHTBOX_ADDED')));
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('LIGHTBOX_NOTADDED')), true);
			}
			break;
		case 'del_lightbox':
			$imgid = intval($zoom->getParam($_REQUEST, 'imgid'));
			$type = intval($zoom->getParam($_REQUEST, 'type'));
			$result = true;
			if (!empty($imgid) && $imgid > 0) {
		  		$lightbox = unserialize($_SESSION['lightbox']);
				if (!$lightbox->removeItem($imgid)) {
					$result = false;
				}
			} else {
				$result = false;
			}
			if ($result) {
				$_SESSION['lightbox'] = serialize($lightbox);
				echo $zoom->callbackResult(html_entity_decode(JText::_('LIGHTBOX_DEL')));
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('LIGHTBOX_NOTDEL')), true);
			}
			break;

		case 'catsmgr_reorder' :
			if ($zoom->_isAdmin || ($zoom->privileges->hasPrivilege('priv_creategal') || $zoom->privileges->hasPrivilege('priv_editgal'))) {
				$newlist = $zoom->getParam($_REQUEST, 'cats_list');
				if (is_array($newlist)) {
					$i = 1;
					foreach ($newlist as $catid) {
						$database->setQuery("UPDATE #__zoom SET custom_order = '$i' WHERE catid = $catid");
						$database->query();
						$i++;
					}
				}
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_getlist' :
			if ($zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_creategal') || $zoom->privileges->hasPrivilege('priv_editgal') || $zoom->privileges->hasPrivilege('priv_delgal')) {
				//echo $zoom->callbackResult();
			
				$c_array = $zoom->getCatListMulti();
				echo ("<tree id=\"0\">"
				//. "<item text=\"".JText::_('HD_NEW')."\" id=\"0\" im0=\"page.gif\" im1=\"page.gif\" im2=\"page.gif\"></item>"
				. $zoom->catsArrayToXML($c_array)
				. "</tree>");
			
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_editform' :
			if ($zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_creategal') || $zoom->privileges->hasPrivilege('priv_editgal') || $zoom->privileges->hasPrivilege('priv_delgal')) {
				$catid = intval($zoom->getParam($_REQUEST, 'catid'));
				$zoom->setGallery($catid);
				echo $zoom->callbackResult();
				echo $zoom->_gallery->toXML();
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_resort' :
			if ($zoom->_isAdmin || ($zoom->privileges->hasPrivilege('priv_creategal') || $zoom->privileges->hasPrivilege('priv_editgal'))) {
				/*$catid  = intval($zoom->getParam($_REQUEST, 'catid'));
				$target = intval($zoom->getParam($_REQUEST, 'target'));
				$zoom->setGallery($catid);
				if (!$zoom->_gallery->move($target)) {
					echo $zoom->callbackResult(JText::_('A_ERROR_CONFTODB'), true);
				} else {
						echo $zoom->callbackResult(JText::_('ALERT_EDITOK'));
						echo $zoom->_gallery->toXML();
				}*/
				$tree = trim($zoom->getParam($_REQUEST, 'tree'));
				$coll = split(",", $tree);
				$counter = 0;
				$errors = false;
				foreach ($coll as $catparent) {
						$counter++;
						$catparent = split("-", $catparent);
						$gallery = intval($catparent[0]); // the gallery
						$parent  = intval($catparent[1]); // its parent in the tree on the user interface
						if ($parent !== 0) {
								// first we get the pos of the parent...
								$database->setQuery("SELECT pos FROM #__zoom WHERE catid = ".$parent);
								$rowpos = intval($database->loadResult());
								$pos = $rowpos + 1;
						} else {
								$pos = 0;
						}
								$database->setQuery("UPDATE #__zoom SET "
								. "pos = ".$pos.", "
								. "subcat_id = ".$parent.", "
								. "custom_order = ".$counter." WHERE catid = ".$gallery);
								if (!$database->query()) {
										$errors = true;
								}
				}
				if ($errors) {
					echo $zoom->callbackResult(JText::_('A_ERROR_CONFTODB'), true);
				} else {
						echo $zoom->callbackResult(JText::_('ALERT_EDITOK'));
				}
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_new' :
			if ($zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_creategal') ) {
				$parent	 	= intval($zoom->getParam($_REQUEST, 'parent'));
				echo $name		= $zoom->getParam($_REQUEST, 'name');
				$dir		= $zoom->getParam($_REQUEST, 'dir');
				$catpass	= $zoom->getParam($_REQUEST, 'password');
				$keywords	= $zoom->getParam($_REQUEST, 'keywords');
				$descr		= $zoom->getParam($_REQUEST, 'descr', null, _MOS_ALLOWHTML);
				$hidemsg	= intval($zoom->getParam($_REQUEST, 'hide_msg'));
				$shared	 	= intval($zoom->getParam($_REQUEST, 'shared'));
				$published  	= intval($zoom->getParam($_REQUEST, 'published'));
				$selections 	= $zoom->getParam($_REQUEST, 'members_sel');
				if (!empty($name)) {
					//Create directory
					$zoom->checkDuplicate($dir, 'directory');
					$mkdir = $zoom->_tempname;
					$html_file = "<html><body bgcolor=\"#FFFFFF\"></body></html>";
					if ($zoom->createdir($zoom->_CONFIG['imagepath'].$mkdir, 0777)){
						$zoom->createdir($zoom->_CONFIG['imagepath'].$mkdir."/thumbs", 0777);
						$zoom->createdir($zoom->_CONFIG['imagepath'].$mkdir."/viewsize", 0777);
						$zoom->writefile(JPATH_SITE."/".$zoom->_CONFIG['imagepath'].$mkdir."/index.html", $html_file);
						$zoom->writefile(JPATH_SITE."/".$zoom->_CONFIG['imagepath'].$mkdir."/thumbs/index.html", $html_file);
						$zoom->writefile(JPATH_SITE."/".$zoom->_CONFIG['imagepath'].$mkdir."/viewsize/index.html", $html_file);
						//Save data in the database
						$database->setQuery("SELECT pos FROM #__zoom WHERE catid=$parent");
						$result1 = $database->query();
						$row = $database->loadObject();
						$pos = $row->pos;
						if ($parent == 0) {
							$pos = 0;
						} else {
							$pos++;
						}
						if (!isset($hidemsg)) {
							$hidemsg = 0;
						}
						if ($pass != "" || !empty($pass)) {
							//hash the password with md5 encryption...
							$pass = md5($pass);
						} else {
							$pass = "";
						}
						$uid = $zoom->currUID;
						if (empty($selections))
							$selections = 1;
						else
							$selections = implode(',', $selections);
						// replace space-character with 'air'...or nothing!
						//$keywords = str_replace(" ", "", $keywords);
						
						$database->setQuery("INSERT INTO #__zoom (catname, catdescr, catdir, catpassword, catkeywords, "
						 . "subcat_id, pos, hideMsg, shared, published, uid, catmembers)"
						 . " VALUES "
						 . "('".$zoom->escapeString($name)."', '".$zoom->escapeString($descr)."', '".$zoom->escapeString($mkdir)."', '"
						 . $zoom->escapeString($pass)."', '".$zoom->escapeString($keywords)."', '$parent', '$pos', '$hidemsg', "
						 . "'$shared', '$published', '$uid', '".$zoom->escapeString($selections)."')");
						if ($database->query()) {
							echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NEWGALLERY')));
							$database->setQuery("SELECT MAX(catid) AS catid FROM #__zoom");
							# $result = $database->query();
							$row = $database->loadObject();
							$gallery = new gallery($row->catid, true);
							echo $gallery->toXML();
						} else {
							echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NONEWGALLERY')), true);
						}
					} else {
						echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NONEWGALLERY')), true); 
					}
				}
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_newdir' :
			if ( $zoom->_isAdmin || $zoom->privileges->hasPrivilege('priv_creategal') ) {
				//echo $zoom->callbackResult();
				echo "<newdir>".$zoom->newdir()."</newdir>";
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_rename' :
			$catid  = intval($zoom->getParam($_REQUEST, 'catid'));
			$query = "select * from #__zoom WHERE catid = $catid";
			$database->setQuery ($query);
			$cat = $database->loadObject();
			if ( (($cat->uid == $zoom->currUID || $cat->shared == 1) && $zoom->privileges->hasPrivilege('priv_editgal') ) ||  $zoom->_isAdmin ) {
				if (!empty($catid)) {
					$newname = $zoom->htmlnumericentities($zoom->escapeString(trim($zoom->getParam($_REQUEST, 'newname'))));
					if (!empty($newname)) {
						$database->setQuery("UPDATE #__zoom SET catname = '".$newname."' WHERE catid = ".$catid);
						if ($database->query()) {
							echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_EDITOK')));
						} else {
							//TODO: provide proper user feedback here...
						}
					} else {
						//TODO: provide proper user feedback here...
					}
				} else {
					echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOCAT')), true);
				}
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'catsmgr_save' :

			$catid = intval($zoom->getParam($_REQUEST, 'catid'));
			$database->setQuery("select * from #__zoom WHERE catid = $catid");
			$cat = $database->loadObject();
			if ( $zoom->_isAdmin || ( ($cat->uid == $zoom->currUID || $cat->shared == 1) &&
				(($catid && $zoom->privileges->hasPrivilege('priv_editgal')) || 
				(!$catid && $zoom->privileges->hasPrivilege('priv_creategal'))) )) {
				$zoom->setGallery($catid);
				// get the variables to save...
				$parent	= intval($zoom->getParam($_REQUEST, 'parent'));
				$newname	= $zoom->htmlnumericentities($zoom->getParam($_REQUEST, 'name'));
				$catpass	= $zoom->getParam($_REQUEST, 'password');
				$keywords  = $zoom->htmlnumericentities($zoom->getParam($_REQUEST, 'keywords'));
				$newdescr  = $zoom->getParam($_REQUEST, 'descr', null, _MOS_ALLOWHTML);
				$hidemsg	= intval($zoom->getParam($_REQUEST, 'hide_msg'));
				$shared	= intval($zoom->getParam($_REQUEST, 'shared'));
				$published = intval($zoom->getParam($_REQUEST, 'published'));
				$selections = $zoom->getParam($_REQUEST, 'members_sel');
				$dir = $zoom->getParam($_REQUEST, 'dir');
	
				if (isset($newname)) {
	
					//Save changes
					$database->setQuery("SELECT catdir FROM #__zoom WHERE catid=$catid");
					# $result1 = $database->query();
					$row = $database->loadObject();
					$catdir = $row->catdir;
	
					if ($parent == 0) {
					  $pos = 0;
					} else {
					  $database->setQuery("SELECT pos FROM #__zoom WHERE catid=$parent");
					  # $result1 = $database->query();
					  $row = $database->loadObject();
					  $pos = $row->pos;
					  $pos++;
					}
					if (!isset($hidemsg)) {
					  $hidemsg = 0;
					}
					if ($catpass != "" || !empty($catpass)) {
						$catpass = md5($catpass);
					} else {
						$catpass = "";
					}

					if (empty($selections)) {
						$selections = 1;
					} else {
						$selections = implode(',', $selections);
					}

					if ($dir != $catdir) {
						$olddir = JPATH_SITE.DS.$zoom->_CONFIG['imagepath'].$catdir;
						$newdir = JPATH_SITE.DS.$zoom->_CONFIG['imagepath'].$dir;
						if ($zoom->platform->is_dir($olddir)) {
							if ($zoom->platform->is_dir($olddir)) {
								$basedir = dirname($newdir);
								if (!$zoom->platform->is_dir($basedir)) {
									if (!$zoom->createdir($zoom->_CONFIG['imagepath'].$dir, 0777)){
									// TODO: Dir not created
									}
								}
								if ($zoom->platform->is_dir($basedir)) {
									if (rename($olddir,$newdir)) {
										$catdir = $dir;
									}
								}
							}
						}else {
							$catdir = $dir;
						}
					}

					if ( !$zoom->platform->is_dir(JPATH_SITE.DS.$zoom->_CONFIG['imagepath'].$catdir) ) {
							$html_file = "<html><body bgcolor=\"#FFFFFF\"></body></html>";
							if ( $zoom->createdir($zoom->_CONFIG['imagepath'].$catdir, 0777) ){
									$zoom->createdir($zoom->_CONFIG['imagepath'].$catdir.DS."thumbs", 0777);
									$zoom->createdir($zoom->_CONFIG['imagepath'].$catdir.DS."viewsize", 0777);
									$zoom->writefile(JPATH_SITE.DS.$zoom->_CONFIG['imagepath'].$catdir.DS."index.html", $html_file);
									$zoom->writefile(JPATH_SITE.DS.$zoom->_CONFIG['imagepath'].$catdir.DS."thumbs".DS."index.html", $html_file);
									$zoom->writefile(JPATH_SITE.DS.$zoom->_CONFIG['imagepath'].$catdir.DS."viewsize".DS."index.html", $html_file);
							}
					}
	
					// replace space-character with 'air'...or nothing!
					//$keywords = trim(ereg_replace(" ", "", $keywords));
					$database->setQuery("UPDATE #__zoom "
					. "SET catname='".$zoom->escapeString($newname)."', catdescr='".$zoom->escapeString($newdescr)."', "
					. " catpassword='".$zoom->escapeString($catpass)."', catkeywords='".$zoom->escapeString($keywords)."', "
					. " subcat_id='$parent', pos='$pos', hideMsg='$hidemsg', shared = '$shared', published='$published', "
					. " catmembers='".$zoom->escapeString($selections)."',catdir='".$zoom->escapeString($catdir)."' "
					. "WHERE catid=".$zoom->escapeString($catid));
					$database->query();
					//Unpublish/ publish the images of a gallery too...
					//Check if there are ANY images in the gallery...
					$database->setQuery("SELECT imgid FROM #__zoomfiles WHERE catid=$catid");
					$result = $database->query();
				}
				$zoom->_gallery->_getInfo();
				
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_EDITOK')));
				
				echo $zoom->_gallery->toXML();
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;

		case 'catsmgr_delete' :
			$catid  = intval($zoom->getParam($_REQUEST, 'catid'));
			$database->setQuery("select * from #__zoom WHERE catid = $catid");
			$cat = $database->loadObject();
			if ( (($cat->uid == $zoom->currUID || $cat->shared == 1) && $zoom->privileges->hasPrivilege('priv_delgal') ) ||  $zoom->_isAdmin ) {
				if (!empty($catid)) {
					$zoom->toolbox->removeGalleryRecursive($catid);
					echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_DEL')));
				} else {
					echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOCAT')), true);
				}
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
			break;
		case 'get_toolbar' :
			$zoom->callbackResult();
			$action = $zoom->getParam($_REQUEST, 'action', 'catsmgr');
			if (!empty($action)) {
				if ($action == "catsmgr_editform") {
					$buttons = array('delete', 'save');
				} else if ($action == "catsmgr_newform") {
					$buttons = array('cancel', 'save');
				} else if ($action == "catsmgr") {
					$buttons = array('new');
				}
				
				echo $zoom->callbackResult();
				
				require_once(JPATH_COMPONENT_SITE .'/www/admin/toolbar.xml.php');
				XML_toolbar::buildToolbar($buttons);
			}
			break;
		case 'get_galleries' :
			if ($zoom->_isAdmin || ($zoom->privileges->hasPrivilege('priv_creategal') || $zoom->privileges->hasPrivilege('priv_editgal') || $zoom->privileges->hasPrivilege('priv_delgal'))) {
				echo $zoom->createCatXML();
			}
			break;
		case 'saveimg':
			$catid = intval($zoom->getParam($_REQUEST, 'catid'));
			$database->setQuery("select * from #__zoom WHERE catid = $catid");
			$cat = $database->loadObject();
			if ( $zoom->_isAdmin || ($zoom->_isUser && $zoom->_CONFIG['allowUserUpload'] && ($cat->shared || $cat->uid == $zoom->currUID)) ){
				$key = JRequest::getInt('key',null,"REQUEST");
				$catid = JRequest::getInt('catid',0,"REQUEST");
				// check if a key has been found...
				if (!isset($key) || !$catid) {
					echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOMEDIA')), true);
				} else {
					$zoom->setGallery($catid);
					if (get_magic_quotes_gpc()) {
						$newname = stripslashes(JRequest::getVar('newname',null,"REQUEST"));
						$newdescr = stripslashes(JRequest::getVar('newdescr', null,"REQUEST","STRING",JREQUEST_ALLOWHTML));
						$newkeywords = stripslashes(JRequest::getVar('keywords',null,"REQUEST"));
					} else {
						$newname = JRequest::getVar('newname',null,"REQUEST");
						$newdescr = JRequest::getVar('newdescr', null,"REQUEST","STRING",JREQUEST_ALLOWHTML);
						$newkeywords = JRequest::getVar('keywords',null,"REQUEST");
					}
					$catimg = JRequest::getVar('catimg',null,"REQUEST");
					$parentimg = JRequest::getVar('parentimg',null,"REQUEST");
					$published = JRequest::getVar('published',null,"REQUEST");
					$selections = JRequest::getVar('members_opt',null,"REQUEST");
					// print_r($selections);
					//Save in database
					if (empty($selections)) {
						$selections = 1;
					} else {
						$selections = implode(',', $selections);
					}
					$newkeywords = trim($newkeywords);
					$zoom->_gallery->_images[$key]->setImgInfo("", $newname, $newkeywords, $newdescr, 0, 0, $published, $selections);
					$zoom->_gallery->_images[$key]->update($catimg, $parentimg);
					echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_EDITIMG')));
				}
			} else {
				echo $zoom->callbackResult(html_entity_decode(JText::_('ALERT_NOPERMISSIONS')), true);
			}
		break;
		case 'showpage':
			$option = 'com_zoom';
			$page = JRequest::getVar('pageName',null,"REQUEST");
			$catid = JRequest::getInt('catid',null,"REQUEST");
			$pageNo = JRequest::getInt('PageNo',null,"REQUEST");
			$Itemid = JRequest::getInt('Itemid',null,"REQUEST");
			$PageSize = JRequest::getInt('PageSize',5,"REQUEST");
			$zoom->setGallery($catid);

			if ($PageSize) {
				$_SESSION['zoom_mediapp'] = $PageSize;
			}

			echo "<result>OK</result>\n";
			echo "<page><![CDATA[";
			echo $zoom->createMediaEditForm('com_zoom', $page, $Itemid, $catid, $pageNo);
			echo "]]></page>";
	}
	echo $zoom->finishXML($task);
} else {
	die('Direct Access to this location is not allowed.');
}

die();
?>
